<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<?php


$title = "cxcl - Interpreter for XCL programs" ;
$ttimg = "title.png" ;
$keywd = "XCLE Concatenative Language Interpreter Virtual-Machine " ;
$descr = "XCLE developement page" ;

$home = 'http://www.varkhan.net/software/xcl/cxcl' ;
$splash = "The cxcl compiler/interpreter is a generic command-line interface to the compiler functionnalities of XCLE" ;

$date = "12/12/2004" ;
$last = "0.3.1" ;


$support = array(
	'Information and project homepage'	=> "<A HREF=\"$home\"><SPAN CLASS=Field>$home</SPAN></A>",
	'Support and bug reports'		=> "Write to &lt;varkhan&nbsp;<B>at</B>&nbsp;varkhan&nbsp;<B>dot</B>&nbsp;net&gt;<BR> (please include the name \"<B>cxcl</B>\" into the subject).",
) ;
 
$author = array(
	'Name' => "Yann LANDRIN-SCHWEITZER aka <B>Varkhan</B>" ,
	'Mail' => "varkhan&nbsp;<B>at</B>&nbsp;varkhan&nbsp;<B>dot</B>&nbsp;net" ,
	'Home' => "http://www.varkhan.net/" ,
) ;

$document = array(
	'Command-line arguments'	=> array(
		'HTML' => "HtLxDoc/cxcl.html" ,
		'TEXT' => "TextDoc/cxcl.txt" ,
		'PDF'  => "HtLxDoc/tex/cxcl.pdf" ,
	) ,
	'Program writing guidelines'	=> array(
		'HTML' => "HtLxDoc/xcl_progs.html" ,
	) ,
) ;


$descript_v_031 =  '' ;

$download_v_031 = array (
	"Source"		=> "cxcl-0.3.1-src.tgz" ,
	"Documentation"		=> "cxcl-0.3.1-doc.tgz" ,
	"Tests"			=> "cxcl-0.3.1-tst.tgz" ,
	"Binary for Linux-i386"	=> "cxcl-0.3.1-Linux-i386.gz" ,
		) ;

$descript_v_100 =  '' ;

$download_v_100 = array (
	"Source"		=> "cxcl-1.0.0-src.tgz" ,
	"Documentation"		=> "cxcl-1.0.0-doc.tgz" ,
	"Tests"			=> "cxcl-1.0.0-tst.tgz" ,
	"Binary for Linux-i386"	=> "cxcl-1.0.0-Linux-i386.gz" ,
		) ;

?>

<?php
require_once "HyperTwings.php" ;
require_once "Software.php" ;
?>

<HTML>

<HEAD>
  <TITLE> <?php echo $title ; ?> </TITLE>
  <META NAME="Keywords" content="<?php echo $keywd ; ?>">
  <META NAME="Description" CONTENT="<?php echo $descr ; ?>">
  <META NAME="ROBOTS" CONTENT="Index, Follow">
</HEAD>

<?php
require_once "Visual_soft.php" ;
$Software_Insert_Style = $Visual_InsertStyle ;
HyperTwings_MakeCSS(null,$Visual_styles) ;
HyperTwings_MakeCSS('Software',$Software_styles) ;
HyperTwings_MakeCSS('HyperTwings',$HyperTwings_styles) ;
?>

<BODY>

<DIV CLASS=Software>
<TABLE CELLPADDING=0 CELLSPACING=0  BORDER=0>

<TR><TD VALIGN=top ALIGN=center COLSPAN=3>
<H1><CENTER><IMG SRC="<?php echo $ttimg ; ?>" ALT="<?php echo $title ; ?>"></CENTER></H1>
</TD></TR>

<TR><TD COLSPAN=3 HEIGHT=20> </TD></TR>

<TR>

  <TD COLSPAN=3>
  <DIV CLASS=Header><?php echo $title ; ?></DIV><BR>
  <DIV CLASS=Information><?php echo $splash ; ?></DIV>
  </TD>

  </TD>

</TR>

<TR><TD COLSPAN=3 HEIGHT=20> </TD></TR>

<TR>

  <TD WIDTH=350 VALIGN=top ALIGN=left>

  <SPAN CLASS=Information>Last change</SPAN> <SPAN CLASS=Field><?php echo $date ; ?></SPAN><BR>
  <SPAN CLASS=Information>Last stable version</SPAN> <SPAN CLASS=Field><?php echo $last ; ?></SPAN><BR>
  <BR>

  <SPAN CLASS=Section>Read the <A HREF="TextDoc/CHANGELOG.txt">Changelog</A></SPAN><BR>
  </FONT>

  <BR><BR>
  <?php echo Software_formatsection("Download Version 1.0.0",$descript_v_100,$download_v_100) ; ?>
  <?php echo Software_formatsection("Download Version 0.3.1",$descript_v_031,$download_v_031) ; ?>

  </TD>

  <TD WIDTH=10> </TD>

  <TD VALIGN=top ALIGN=left>

<?php
HyperTwings_MakeMinipage("Documentation",
Software_formathashlist($document).'Distributed under the <A HREF="TextDoc/LICENSE.txt"><B>GPL License</B></A>',
300,100,$Software_Insert_Style) ;
?>
<BR><BR>
<?php 
HyperTwings_MakeMinipage("Author",Software_formathash($author),300,100,$Software_Insert_Style) ;
?>
<BR><BR>
<?php
HyperTwings_MakeMinipage("Support",Software_formatlist($support),300,100,$Software_Insert_Style) ;
?>


  </TD>

</TR>



</TABLE>
</DIV>

</BODY>
</HTML>
